Support » Plugins and Hacks » Shortcode warning message

Shortcode warning message

  • The FAQ mentions the following:

    I’m getting the following error message when using PHP to display my slider (with all slides): Warning: Missing argument 1 for nextslider_slider_template(), called in etc. etc.

    Some hosting set-ups may have this issue. Just give it an empty parameter like so:
    // All slides, with empty parameter set to stop warning from appearing
    <?php echo nextslider_slider_template(”); ?>

    1. the slider is not called with the nextslider_slider_template function, but with ctslider_slider_template so you might want to fix that.
    2. You as plugin author can easily fix this yourself by changing line 5 in includes/front-end/template.php
    Instead of function ctslider_slider_template( $id ) { write function ctslider_slider_template( $id = '') { instead and people won’t have this issue anymore.


  • The topic ‘Shortcode warning message’ is closed to new replies.